function init()
	gun.name = "Battlecruiser Beam"
	gun.fireDelay = 4000
	gun.shotrange = 1100
	gun.shotdamage = 70
	gun.shotknockback = 100000
	gun.shotspeed = 20000
	--gun.initBeam(7)--BIG red

	gun.burstDelay = 0
	gun.burstNum = 100
	gun.overheat = 2000
	
	gun.fixed = 4--forward
	
	return 0
end


function update()
	return 0
end


function fire()
	
	
	heatmod = 1 - (gun.burst / gun.burstNum)
	if heatmod < .1 then heatmod = .1 end
	if heatmod >= .9 then heatmod = .9 end

	gun.cycleBeam(7 + heatmod)--set the style continuously + the beam is absolute (fires less than max range)

	--stage.GFP(gun.heat)

	stage.makeBeam(gun.beam, gun.owner, gun.owner.x, gun.owner.y, gun.firetarx, gun.firetary)
	
	--gun.GFP("made beam!")
	--playSFX(getSound("gun_pew1.wav"),owner.x,owner.y)

	return 0
end

function shot_update()

	return 0
end